RHEL 6:JBoss EAP(RHSA-2017:2809)

critical Nessus プラグイン ID 103527
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

更新プログラムが、Red Hat Enterprise Linux 6対応のRed Hat JBoss Enterprise Application Platform 7.0で利用可能になりました。Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重要度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。Red Hat JBoss Enterprise Application Platformは、JBoss Application ServerをベースにしたJavaアプリケーション用のプラットフォームです。Red Hat JBoss Enterprise Application Platform 7.0.8のこのリリースは、Red Hat JBoss Enterprise Application Platform 7.0.7に置き換わるものとして機能し、「参照」でリンクされているリリースノートに記載されているバグ修正プログラムと拡張機能が含まれています。セキュリティ修正プログラム:* log4jソケットサーバーでリモートロギングを使用すると、log4jサーバーはTCPまたはUDP経由で受け取ったログイベントを逆シリアル化することがわかりました。攻撃者はこの欠陥を悪用して、特別に細工されたログイベントを送信し、逆シリアル化中に、loggerアプリケーションのコンテキストで任意のコードを実行する可能性があります。(CVE-2017-5645)*攻撃者がパスワードハッシュの比較に対してタイミング攻撃を行う可能性のある脆弱性がJasyptに見つかりました。(CVE-2014-9970)* Bouncy Castleの情報漏えいの欠陥により、悪意のあるローカルアプリケーションがユーザーの個人情報にアクセスする可能性があります。(CVE-2015-6644)* SAMLメッセージの解析中に、PicketlinkのStaxParserUtilクラスがシステムプロパティで属性値を取得するための特別な文字列を置き換えることがわかりました。これにより、攻撃者はSAMLリクエストIDフィールド(レスポンスの「InResponseTo」フィールドで取得可能)がシステムプロパティとして選択されるようフォーマットし、システムプロパティの値を決定する可能性があります。(CVE-2017-2582)*クラスのプライベートメンバーにアクセスすることを許可するセキュリティマネージャのリフレクティブな許可がHibernate Validatorに付与されるとき、権限昇格が発生する可能性があることがわかりました。呼び出しコードがこれらのプライベートメンバーに許可なしにアクセスできるようになることで、攻撃者が無効なインスタンスを検証し、ConstraintViolation#getInvalidValue()を介してプライベートメンバーの値にアクセスする可能性があります。(CVE-2017-7536)CVE-2017-2582の問題はHynek Mlnarik氏(Red Hat)によって発見され、CVE-2017-7536の問題はGunnar Morling氏(Red Hat)によって発見されました。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/documentation/en-us/

https://access.redhat.com/errata/RHSA-2017:2809

https://access.redhat.com/security/cve/cve-2014-9970

https://access.redhat.com/security/cve/cve-2015-6644

https://access.redhat.com/security/cve/cve-2017-2582

https://access.redhat.com/security/cve/cve-2017-5645

https://access.redhat.com/security/cve/cve-2017-7536

プラグインの詳細

深刻度: Critical

ID: 103527

ファイル名: redhat-RHSA-2017-2809.nasl

バージョン: 3.9

タイプ: local

エージェント: unix

公開日: 2017/9/28

更新日: 2019/10/24

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:eap7-artemis-native, p-cpe:/a:redhat:enterprise_linux:eap7-artemis-native-wildfly, p-cpe:/a:redhat:enterprise_linux:eap7-bouncycastle, p-cpe:/a:redhat:enterprise_linux:eap7-bouncycastle-mail, p-cpe:/a:redhat:enterprise_linux:eap7-bouncycastle-pkix, p-cpe:/a:redhat:enterprise_linux:eap7-bouncycastle-prov, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-validator, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-validator-cdi, p-cpe:/a:redhat:enterprise_linux:eap7-jasypt, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-jms-api_2.0_spec, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-logmanager, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata-appclient, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata-common, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata-ear, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata-ejb, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-metadata-web, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-remote-naming, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-remoting, p-cpe:/a:redhat:enterprise_linux:eap7-log4j-jboss-logmanager, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-api, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-bindings, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-common, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-config, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-federation, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-idm-api, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-idm-impl, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-idm-simple-schema, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-impl, p-cpe:/a:redhat:enterprise_linux:eap7-picketlink-wildfly8, p-cpe:/a:redhat:enterprise_linux:eap7-undertow, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-javadocs, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-modules, cpe:/o:redhat:enterprise_linux:6

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2017/9/26

脆弱性公開日: 2016/1/6

参照情報

CVE: CVE-2014-9970, CVE-2015-6644, CVE-2017-2582, CVE-2017-5645, CVE-2017-7536

RHSA: 2017:2809